using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Keyless]
public partial class VwMeterOverviewInfo
{
    [Column("id")]
    public int? Id { get; set; }

    [Column("point_ids", TypeName = "citext")]
    public string? PointIds { get; set; }

    [Column("point_names", TypeName = "citext")]
    public string? PointNames { get; set; }

    [Column("numbers", TypeName = "citext")]
    public string? Numbers { get; set; }

    [Column("meter_type_names", TypeName = "citext")]
    public string? MeterTypeNames { get; set; }

    [Column("hub_codes", TypeName = "citext")]
    public string? HubCodes { get; set; }

    [Column("pipeline_names", TypeName = "citext")]
    public string? PipelineNames { get; set; }

    [Column("producer_names", TypeName = "citext")]
    public string? ProducerNames { get; set; }

    [Column("product_ids", TypeName = "citext")]
    public string? ProductIds { get; set; }

    [Column("product_names", TypeName = "citext")]
    public string? ProductNames { get; set; }

    [Column("plant_ids", TypeName = "citext")]
    public string? PlantIds { get; set; }

    [Column("plant_names", TypeName = "citext")]
    public string? PlantNames { get; set; }

    [Column("zone_ids", TypeName = "citext")]
    public string? ZoneIds { get; set; }

    [Column("zone_names", TypeName = "citext")]
    public string? ZoneNames { get; set; }

    [Column("delivery_point_ids", TypeName = "citext")]
    public string? DeliveryPointIds { get; set; }

    [Column("delivery_point_names", TypeName = "citext")]
    public string? DeliveryPointNames { get; set; }
}
